  var QMax=0;
  var QAktuell=0;
  var QRichtig=0;
  var QFalsch=0;
  var QAnt=new Array (
  "abt",    "AC",     "ADC",    "AF",     "AFSK",   "AGC",    "agn",    "ALC",    "AM",     "am",
  "ant",    "APRS",   "ATV",    "AVC",    "AWARD",  "awdh",   "awds",   "BAS",    "BBS",    "BCD",
  "BCI",    "BCL",    "bcnu",   "bd",     "Bd",     "BFO",    "Bit",    "bk",     "BpM",    "bps",
  "bug",    "c",      "CCIR",   "CCITT",  "CEPT",   "cfm",    "cl",     "clg",    "CO",     "conds",
  "condx",  "congrats", "cpi",  "CPM",    "cq",     "CTCSS",  "cuagn",  "cul",    "CW",     "DAC",
  "DSB",    "dB",     "DC",     "de",     "DE",     "DEM",    "DOK",    "DTMF",   "dr",     "dwn",
  "dx",     "ECC",    "EIRP",   "el",     "elbug",  "EME",    "EMV",    "EMVU",   "ERC",    "ERP",
  "es",     "ESB",    "excus",  "FAX",    "fb",     "FBAS",   "fd",     "fer",    "FM",     "fm",
  "fone",   "fr",     "frd",    "frm",    "FSK",    "ga",     "ga",     "gb",     "gd",     "gd",
  "gd",     "ge",     "gl",     "gld",    "gm",     "gn",     "gnd",    "gp",     "HAM",    "HF",
  "hi",     "hpe",    "hrd",    "hr",     "hv",     "hw",     "i",      "IARU",   "IFRB",   "IF",
  "info",   "inpt",   "IRC",    "ITU",    "ITU-T",  "k",      "lbr",    "LF",     "lid",    "lis",
  "log",    "LSB",    "LUF",    "lw",     "mgr",    "mi",     "min",    "mni",    "msg",    "mtr",
  "MUF",    "my",     "n",      "NET",    "NF",     "nil",    "no",     "nr",     "nr",     "nw",
  "ob",     "ok",     "om",     "op",     "OSC",    "OSCAR",  "ot",     "outpt",  "pa",     "PAL",
  "PCM",    "PEP",    "pm",     "PM",     "pse",    "PSK",    "pwr",    "QST",    "r",      "RAM",
  "rcvd",   "rcvr",   "ref",    "RF",     "RFI",    "RGB",    "rig",    "RMS",    "ROM",    "rprt",
  "rpt",    "RTTY",   "RX",     "SAE",    "SASE",   "SHF",    "sig",    "sigs",   "sked",   "sn",
  "sri",    "SSB",    "SSTV",   "stn",    "sum",    "sure",   "SWL",    "SWR",    "temp",   "test",
  "tks",    "TNC",    "tmw",    "tnx",    "TVI",    "TX",     "TRX",    "tu",     "u",      "ufb",
  "UHF",    "unlis",  "ur",     "USB",    "UTC",    "VCO",    "VFO",    "VHF",    "VOX",    "vy",
  "WARC",   "wid",    "wkd",    "wkg",    "wl",     "wl",     "WPM",    "wtts",   "wx",     "xcus",
  "xmas",   "xmtr",   "xtal",   "xyl",    "yl",     "z",      "ZpM",    "55",     "73",     "88",
  "xxx");

// DH2MIC:
// entfallen (12):
// btr(027),cs(040),dk(051),EMVG(059),ere(062),gt(87),ht(94),PBS(133),tbs(170),trcvr(179),vl(191),vln(192)
// hinzu (32):
// "APRS",  "awds",  "Bd",    "c",     "CPM",   "CTCSS", "DOK",   "DTMF",  "ECC",   "EME",   "ERC",
// "fd",    "fm",    "ga(2)", "gd(2)", "gl(2)", "hv",    "ITU-T", "k",     "lid",   "mgr",   "msg",
// "mi",    "n",     "QST",   "sig",   "tu",    "VOX",   "wkg",   "wl(2)", "z",     "ZpM", 
// damit landet "xxx" von bisher 210 auf Nr. 230
// CPM kommt im Fragenkatalog nicht explizit vor. Es wurde aber als engl. Analogon zu ZpM eingebaut, 
// da das Kuerzel CPM in der Beschreibung von ZpM vorkommt

  var QFrag=new Array (
  "000", "001", "002", "003", "004", "005", "006", "007", "008", "009", 
  "010", "011", "012", "013", "014", "015", "016", "017", "018", "019", 
  "020", "021", "022", "023", "024", "025", "026", "027", "028", "029", 
  "030", "031", "032", "033", "034", "035", "036", "037", "038", "039", 
  "040", "041", "042", "043", "044", "045", "046", "047", "048", "049", 
  "050", "051", "052", "053", "054", "055", "056", "057", "058", "059",
  "060", "061", "062", "063", "064", "065", "066", "067", "068", "069", 
  "070", "071", "072", "073", "074", "075", "076", "077", "078", "079", 
  "080", "081", "082", "083", "084", "085", "086", "087", "088", "089", 
  "090", "091", "092", "093", "094", "095", "096", "097", "098", "099", 
  "100", "101", "102", "103", "104", "105", "106", "107", "108", "109", 
  "110", "111", "112", "113", "114", "115", "116", "117", "118", "119", 
  "120", "121", "122", "123", "124", "125", "126", "127", "128", "129", 
  "130", "131", "132", "133", "134", "135", "136", "137", "138", "139", 
  "140", "141", "142", "143", "144", "145", "146", "147", "148", "149", 
  "150", "151", "152", "153", "154", "155", "156", "157", "158", "159", 
  "160", "161", "162", "163", "164", "165", "166", "167", "168", "169", 
  "170", "171", "172", "173", "174", "175", "176", "177", "178", "179", 
  "180", "181", "182", "183", "184", "185", "186", "187", "188", "189", 
  "190", "191", "192", "193", "194", "195", "196", "197", "198", "199", 
  "200", "201", "202", "203", "204", "205", "206", "207", "208", "209", 
  "210", "211", "212", "213", "214", "215", "216", "217", "218", "219", 
  "220", "221", "222", "223", "224", "225", "226", "227", "228", 
  "xxx");

function InitmainFrame ()
 {
  var e="qqq", z=-1;
  do
   {
    z=z+1;
    e=parent.frames[1].QFrag[z];
    if (z > 1000) break;
   }
  while(e != "xxx");
  parent.frames[1].QMax=z-1;
  parent.frames[1].QAktuell=z-1;
  parent.frames[1].document.qgrup.aktuell.value=parent.frames[1].QAktuell;
 }

function nextfrage ()
 {
  if ( parent.frames[1].document.qgrup.QGame.checked == true )
   {
    if ( parent.frames[1].QFalsch >= 11 )
     {
      parent.frames[2].location.href="../seiten/abkl.htm";
     }
    else
     {
      if ( parent.frames[1].QAktuell == 0 )
       {
        parent.frames[2].location.href="../seiten/abkw.htm";
       }
      else
       {
        parent.frames[1].QAktuell=parent.frames[1].QAktuell-1;
        parent.frames[1].document.qgrup.aktuell.value=parent.frames[1].QAktuell;
        parent.frames[2].location.href="../seiten/abkm.htm";
       }
     }
   }
  else 
   {
    if ( parent.frames[1].QAktuell == 0 )
     {
      alert ("Sie haben alle Abkuerzungen durchgearbeitet. Zur Fortsetzung wird nun neu gemischt."); //DH2MIC
      mischen ();
     }
    else
     {
      parent.frames[1].QAktuell=parent.frames[1].QAktuell-1;
     }
    parent.frames[1].document.qgrup.aktuell.value=parent.frames[1].QAktuell;
    parent.frames[2].location.href="../seiten/abkm.htm";
   }
 }

function go ()
 {
  if (parent.frames[1].document.qgrup.GK.checked == true)
   {
    if ( parent.frames[2].document.Qfr.Qtext.value == parent.frames[1].QAnt[parent.frames[1].QAktuell] )
     {
      parent.frames[1].QRichtig=parent.frames[1].QRichtig+1;
      parent.frames[1].document.qgrup.ZR.value=parent.frames[1].QRichtig;
      nextfrage();
     }
    else
     {
      var f="Die Antwort ist falsch. Richtig ist: ";
      f=f+parent.frames[1].QAnt[parent.frames[1].QAktuell];
      alert (f);
      parent.frames[1].QFalsch=parent.frames[1].QFalsch+1;
      parent.frames[1].document.qgrup.ZF.value=parent.frames[1].QFalsch;
      nextfrage();
      if (parent.frames[1].document.qgrup.QGame.checked == true)
       {
        var np=parent.frames[1].QFalsch+".";
        if (parent.frames[1].QFalsch > 11)
         {
           np = "11.";
         }
        if (np.length == 2)
         {
          np="0"+np;
         }
        var np="../abkuerz/hm"+np+"gif";
        parent.frames[1].document.qgrup.hmpic.src=np;
       }
     }
   }
  else
   {
    if ( parent.frames[2].document.Qfr.Qtext.value.toUpperCase() == parent.frames[1].QAnt[parent.frames[1].QAktuell].toUpperCase() )
     {
      parent.frames[1].QRichtig=parent.frames[1].QRichtig+1;
      parent.frames[1].document.qgrup.ZR.value=parent.frames[1].QRichtig;
      nextfrage();
     }
    else
     {
      var f="Die Antwort ist falsch. Richtig ist: ";
      f=f+parent.frames[1].QAnt[parent.frames[1].QAktuell];
      alert (f);
      parent.frames[1].QFalsch=parent.frames[1].QFalsch+1;
      parent.frames[1].document.qgrup.ZF.value=parent.frames[1].QFalsch;
      nextfrage();
      if (parent.frames[1].document.qgrup.QGame.checked == true)
       {
        var np=parent.frames[1].QFalsch+".";
        if (parent.frames[1].QFalsch > 11)
         {
           np = "11.";
         }
        if (np.length == 2)
         {
          np="0"+np;
         }
        var np="../abkuerz/hm"+np+"gif";
        parent.frames[1].document.qgrup.hmpic.src=np;
       }
     }
   }
 }

function mischen ()
 {
  // Fenster erzeugen um hektik zu vermeiden;
  var win;
  if (parent.frames[0].Panikfenster == "1") win=open("../seiten/panik.htm","Panik","width=250,height=100");
  // Fragen Reihenfolge Mischen;
  var Jetzt=new Date();
  var Sekunde=(Math.round(parseInt(Jetzt.getSeconds()+1))*2)+parent.frames[1].QMax;
  var x=0;
  var z1="", z2="";
  for(i=0; i<=Sekunde; i++)
   {
    x = Math.floor(Math.random()*parent.frames[1].QMax);
    z1 = parent.frames[1].QFrag[x];
    z2 = parent.frames[1].QAnt[x];
    parent.frames[1].QFrag[x]=parent.frames[1].QFrag[0];
    parent.frames[1].QAnt[x]=parent.frames[1].QAnt[0];
    parent.frames[1].QFrag[0]=z1;
    parent.frames[1].QAnt[0]=z2;
    x = Math.floor(Math.random()*parent.frames[1].QMax);
    z1 = parent.frames[1].QFrag[x];
    z2 = parent.frames[1].QAnt[x];
    parent.frames[1].QFrag[x]=parent.frames[1].QFrag[parent.frames[1].QMax];
    parent.frames[1].QAnt[x]=parent.frames[1].QAnt[parent.frames[1].QMax];
    parent.frames[1].QFrag[parent.frames[1].QMax]=z1;
    parent.frames[1].QAnt[parent.frames[1].QMax]=z2;
   }
  parent.frames[1].QAktuell = parent.frames[1].QMax;
  parent.frames[1].document.qgrup.aktuell.value = parent.frames[1].QAktuell;
  parent.frames[2].location.href = "../seiten/abkm.htm";
  if (parent.frames[0].Panikfenster == "1") win.close();
 }

// DH2MIC: Diese Funktion wird offensichtlich nicht aufgerufen. Sie steht auch in qgrupu.js
function aktdown ()
 {
  parent.frames[1].QAktuell=2;
  parent.frames[2].location.href="../seiten/abkm.htm";
 }

